package com.crm.rely.backend.core.dto.follow.daily;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;


/**
 * @author y
 * @create 2022/5/17
 */
@Data
public class FollowDailySummaryDto {
    /**
     * 账号
     */
    private String login;
    /**
     * 创建时间
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date createTime;
    /**
     * 排名
     */
    private String ranking;
    /**
     * 展示开始时间
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date historyStartTime;
    /**
     * 展示结束时间
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date historyEndTime;
    /**
     * 总盈亏
     */
    private Float totalProfit;
    /**
     * 收益率
     */
    private Float income;
    /**
     * 胜率
     */
    private Float winRate;
    /**
     * 复制者利润
     */
    private Float followIncome;
    /**
     * 近七天最大回撤率
     */
    private Float recentDrawDown;

    public static FollowDailySummaryDto getInstance(){
        FollowDailySummaryDto dto = new FollowDailySummaryDto();
        dto.setRanking("--");
        dto.setTotalProfit(0f);
        dto.setIncome(0F);
        dto.setWinRate(0F);
        dto.setFollowIncome(0F);
        dto.setRecentDrawDown(0F);
        return dto;
    }


}
